#pragma once
#ifndef PARSODUS_LRTABLES_LALR1ITEMSET_H_TJ1FUOEG
#define PARSODUS_LRTABLES_LALR1ITEMSET_H_TJ1FUOEG

#include "Parsodus/lrtables/LR1ItemsetBase.h"

namespace pds {
namespace lr {

class LALR1Itemset : public LR1ItemsetBase<LALR1Itemset> {
public:
    LALR1Itemset();
    LALR1Itemset(std::shared_ptr<Rule> start);

    bool canMerge(const LALR1Itemset& rhs) const;
    bool merge(const LALR1Itemset& rhs);

private:
};

} /* lr  */ 
} /* pds */

#endif /* PARSODUS_LRTABLES_LALR1ITEMSET_H_TJ1FUOEG */
